<?php namespace Qcr\QcrTheme\Support;

use Anomaly\SelectFieldType\SelectFieldType;
use Anomaly\Streams\Platform\Addon\Theme\ThemeCollection;
use Illuminate\Contracts\Config\Repository;

class CalloutsIconOptions
{

    public function handle(SelectFieldType $fieldType, ThemeCollection $themes, Repository $config)
    {
        $standard = $themes->active('standard');

        $fieldType->setOptions($config->get($standard->getNamespace('select-field_type.callouts.icon'), []));
    }
}
